Redmine - Feature #37568

It should be possible to set a due date on a subtask without affecting the parent task
2022-08-10 15:26 - Stefan Mark

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid

Description
When setting a due date on a subtask, the parent tasks due date is set to same date and cant be changed later.

| could understand the other way round, but just because a tasks subtask should be done tomorrow, it should not means that the
parent task has to be done tomorrow. The other way round maybe.

Note: this might also be Bug, but i am not sure.
Redmine 5, ruby 2.7, mariadb 10 (mysq|)

Thanks :)

History

#1 - 2022-08-11 01:04 - Mischa The Evil
- Status changed from New to Needs feedback

- Resolution set to Invalid

Starting with Redmine 3.1.0 there is a dedicated setting that provides the administrator the ability to configure this behavior (i.e. let parent issues have
start- and due dates that are independent of their subtasks) at the instance level (see #5490#note-91).

It can be found as:

"Administration" > "Settings" > "Issue tracking" > "Parent tasks attributes" > "Start date / Due date"

#2 - 2022-08-11 09:42 - Stefan Mark

Oh no. So sorry! You are totally right. | had some bad communication, extracted the wrong information from that and failed to do a final check on my
own. | usually do. Should have this time too.

Again, sorry for wasting anyones time. | will try to protract my next stupid stance as much as possible :)

#3 - 2022-08-11 17:53 - Holger Just
- Status changed from Needs feedback to Closed

Don't be too harsh to yourself. I'm glad we could resolve this :)

#4 - 2023-07-20 00:59 - David L

| was also interested in this feature. The OP touched on a better idea than the current version, which only offers a partial solution.

Problems:
1. When dates are "independent”, a subtask's due date can be set after the due date. That doesn't make sense.
2. The % done is either a sum of the subtasks or arbitrary. That makes the parent issue a container, rather than an issue.

Fix:

In addition to "independent", there should be:

1. A setting that keeps child end-dates within the parent scope. That may or may not also limit start dates.
2. A setting that calculates the % done as subtasks + parent task.

As a simple example:
Issue: Drive my car to my house

Subtask: Fill car with petrol
Subtask: Replace punctured tyre
https://www.redmine.org/versions/90
https://www.redmine.org/issues/5490#note-91

With Fix 2, the % Done can be a sum of three issues.
If the parent issue is not allowed to be part of the equation, then | don't see how we can structure dependencies.
e |ssue: Drive my car to my house
o Subtask: Prepare car to drive
= Subtask: Fill car with petrol
= Subtask: Replace punctured tyre
In this second example, "Prepare” is dependent on two subtasks, which is good. However, once "Prepare" is complete, so is "Drive".
| can add another subtask to represent the actual driving:
e |ssue: Drive my car to my house
o Subtask: Drive my car
o Subtask: Prepare car to drive
= Subtask: Fill car with petrol
= Subtask: Replace punctured tyre
But that means breaks the dependency. | can set "Drive" to complete, even before "Prepare".
#5 - 2023-07-20 01:00 - David L

Should | open a new request for this?

2025-07-08 22


http://www.tcpdf.org

